# Uses of Class
org.jboss.classfilewriter.code.ExceptionHandler

Packages that use ExceptionHandler
Package
Description
org.jboss.classfilewriter.code

## Uses of ExceptionHandler in org.jboss.classfilewriter.code

Methods in org.jboss.classfilewriter.code that return ExceptionHandler
Modifier and Type
Method
Description
`ExceptionHandler`
CodeAttribute.`exceptionBlockStart(String exceptionType)`
Begin writing an exception handler block.
Methods in org.jboss.classfilewriter.code with parameters of type ExceptionHandler
Modifier and Type
Method
Description
`void`
CodeAttribute.`exceptionBlockEnd(ExceptionHandler handler)`
Mark the end of an exception handler block.
`void`
CodeAttribute.`exceptionHandlerStart(ExceptionHandler handler)`
Marks the current code location as the exception handler and adds the handler to the exception handler table;